#include <cstring>

#include "Target.h"

Target::Target(const char* seq, double* react, int length){
    this->length=length;
    this->seq=new char[length+1];
    this->react=new double[length];
    this->nseq=new int[length];

    strcpy(this->seq, seq);
    memcpy(this->react, react, length*sizeof(double));
    for(int i=0; i<length; i++)
        nseq[i]=c2n(seq[i]);
}

Target::~Target(){
    delete[] seq;
    delete[] nseq;
    delete[] react;
}

int c2n(char c){
    switch(c){
    case 'A':
    case 'a':
        return 0;
    case 'C':
    case 'c':
        return 1;
    case 'G':
    case 'g':
        return 2;
    case 'U':
    case 'u':
        return 3;
    case 'T':
    case 't':
        return 3;
    default:
        return 4;
    }
}
